# $Revision: 1.38 $, $Date: 2006/12/14 22:49:49 $
#
# Conditional build:
%bcond_without	lirc	# without LIRC support
#
Summary:	Video4Linux Stream Capture Viewer
Summary(pl):	Program do ogldania strumienia z Video4Linux
Name:		xdtv
Version:	2.3.3
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/xawdecode/%{name}-%{version}.tar.gz
# Source0-md5:	72528d2205ac5e22ae766283a993225c
Source1:	xawdecode.desktop
Patch0:		xawdecode-xvid.patch
Patch1:		%{name}-ffmpeg.patch
Patch2:		%{name}-parallel-install.patch
Patch3:		%{name}-setXid.patch
URL:		http://xawdecode.sourceforge.net/
#BuildRequires:	Mowitz-devel	-- would make sense with neXtaw instead of Xaw3d
BuildRequires:	XFree86-devel
BuildRequires:	Xaw3d-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.4.9
BuildRequires:	lame-libs-devel >= 3.96.1
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	xvid-devel >= 1:1.1.0
BuildRequires:	zvbi-devel >= 0.2.14
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	xvid >= 1:1.1.0
Requires:	zvbi >= 0.2.14
Provides:	xawdecode
Obsoletes:	xawdecode
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
X11 TV application based on xawtv 2.x series with plugin capabilities.

%description -l pl
Aplikacja TV dla X11 oparta na xawtv 2.x z moliwoci uywania
wtyczek.

%package devel
Summary:	Development files for xawdecode
Summary(pl):	Pliki do programowania z uyciem xawdecode
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xawdecode-devel

%description devel
Development files for xawdecode.

%description devel -l pl
Pliki do programowania z uyciem xawdecode.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

rm -rf libavformat libavcodec libavutil libpostproc

%build
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-cpu-detection \
	--disable-divx4linux \
	%{!?with_lirc:--disable-lirc} \
	%{?with_lirc:--enable-lirc} \
	--disable-mowitz \
	--enable-external-ffmpeg \
	--disable-nextaw \
	--disable-xaw95 \
	--disable-xawm \
	--with-x \
	--with-appdefaultsdir=%{_appdefsdir} \
	--with-fontdir=%{_fontsdir}/misc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	FONTDIR=%{_fontsdir}/misc

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc

%postun
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQfr-xdtv
%doc lircrc.hauppauge.sample lircrc.miro.sample lisez-moi README*
%doc xdtvrc.sample
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdtv*
%attr(755,root,root) %{_bindir}/xdtv
%attr(755,root,root) %{_bindir}/xdtv_[a-uw]*
%attr(4755,root,root) %{_bindir}/xdtv_v4l-conf
%dir %{_datadir}/xdtv
%{_datadir}/xdtv/icons
%{_appdefsdir}/*
%{_mandir}/man1/*
%{_fontsdir}/misc/*.pcf.gz
%{_desktopdir}/%{name}.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/xdtv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xawdecode.spec,v $
Revision 1.38  2006/12/14 22:49:49  glen
- updated to 2.3.3
- project renamed to xdtv since 2.0 already

Revision 1.37  2006/12/14 22:30:55  glen
- add ffmpeg patch

Revision 1.36  2006/06/17 10:05:51  hawk
- added patch to build against system ffmpeg
- release 2

Revision 1.35  2006/04/13 10:56:21  rotom
- up to 2.3.2

Revision 1.34  2006/02/01 22:46:10  andree
- updated to 2.3.0
- remove -opt.patch (obsoleted)
- change source0 to working mirror

Revision 1.33  2005/12/04 23:37:16  glen
- adapterized (sorted %verify flags)

Revision 1.32  2005/10/31 11:06:57  arekm
- rel 2

Revision 1.31  2005/08/12 08:39:27  blekot
- up to 2.2.0

Revision 1.30  2005/04/07 08:08:16  charles
- added epoch to BR, R xvid{-devel}

Revision 1.29  2005/04/07 07:18:09  charles
- updated to 2.1.1
- enabled alsa, BR: alsa-lib-devel
- BR: libtool

Revision 1.28  2005/03/29 18:04:26  havner
- rel up for one more rebuild (sparc didn't upgrade ffmpeg)

Revision 1.27  2005/01/08 22:48:58  petec
- added desktop file
- using more rpm macros

Revision 1.26  2005/01/04 23:19:03  aniolek
- updated to 2.0.1
- send by PeTeC <petec@petec.one.pl>

Revision 1.25  2004/09/09 22:21:04  paszczus
- reverted changes

Revision 1.24  2004/09/09 21:59:06  paszczus
- updated to 0.5.3

Revision 1.23  2004/08/22 12:09:59  qboosh
- updated to 1.9.2 (more archs supported)
- updated DESTDIR,opt patches, added link patch
- --disable-cpu-detection to allow using on machine other than builder

Revision 1.22  2004/08/08 02:54:06  havner
- exlcusivearch
- rel 2

Revision 1.21  2004/08/08 02:43:01  havner
- config.sub

Revision 1.20  2004/03/26 20:47:11  adamg
- pass -lm

Revision 1.19  2003/12/09 11:35:44  trojan
- updated to 1.8.2

Revision 1.18  2003/10/04 22:50:36  krzak
- up to 1.8.1

Revision 1.17  2003/10/03 08:36:19  qboosh
- _appdefsdir macro name unification

Revision 1.16  2003/09/22 11:10:14  baggins
- updated md5sum

Revision 1.15  2003/09/22 11:08:44  baggins
- updated to 1.8.0

Revision 1.14  2003/08/18 08:09:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/08/14 15:33:14  baggins
- updated %%files

Revision 1.12  2003/08/08 12:45:47  baggins
- updated to 1.7.0

Revision 1.11  2003/05/28 13:03:01  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:28:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/22 13:22:19  baggins
- updated to 1.6.8

Revision 1.8  2003/05/07 11:20:38  trojan
- removed unneed Requires

Revision 1.7  2003/05/07 11:09:10  trojan
- added without lirc bcond

Revision 1.6  2003/04/21 18:08:18  qboosh
- pl descriptions, missing dirs, BR: ac,am
- fixed mkfontdir paths, removed xset from post/postun

Revision 1.5  2003/02/24 15:10:47  ankry
- changed src URL

Revision 1.4  2003/02/24 14:48:15  baggins
- br xvid-devel

Revision 1.3  2003/02/24 14:47:55  baggins
- 1.6.8 snapshot
- disable divx4linux

Revision 1.2  2003/02/11 13:15:40  baggins
- 2002-01-31 snap
- build with divx4linux if available
- added opt patch

Revision 1.1  2003/01/31 17:20:23  baggins
- initial revision
- TODO: alsa, divx4linux, update from CVS (ffmpeg doesn't work yet)

* Mon Nov 11 2002 Pingus
- ver 1.6.6
* Tue Oct 26 2002 Pingus
- add lirc support
- add menus entry
- made spec file more mdk compatible (define, mandir)
* Wed Oct 18 2002 Pingus
- ver 1.6.5
- Adaptation for Mandrake 9.0
- include last patches from keuleu
